/**
 *  Copyright (C) 2002-2022   The FreeCol Team
 *
 *  This file is part of FreeCol.
 *
 *  FreeCol is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  FreeCol is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with FreeCol.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.sf.freecol.client.gui.panel.colopedia;

import javax.swing.JPanel;
import javax.swing.tree.DefaultMutableTreeNode;


/**
 * This panel displays the Colopedia.
 */
public interface ColopediaDetailPanel<T> {

    /**
     * Adds one or several subtrees for all the objects for which this
     * ColopediaDetailPanel could build a detail panel to the given
     * root node.
     *
     * @param root a {@code DefaultMutableTreeNode}
     */
    public void addSubTrees(DefaultMutableTreeNode root);

    /**
     * Builds the details panel for the given identifier.
     *
     * @param id The object identifier to display.
     * @param panel the detail panel to build
     */
    public void buildDetail(String id, JPanel panel);

}
